phonegap在模拟器5s报错。

phonegap
jmessage
jpush
标签: #<Tag:0x00007fb82c169b08> #<Tag:0x00007fb82c1699a0> #<Tag:0x00007fb82c169838>

(Mr.su) #1

如图所示报错,


(Mr.su) #2

原因是不支持i386,也就是不支持iPhone5以下的手机,5s的正在测试,目前在ios9的版本是有问题,在ios10是没问题,具体原因还在测试。


#3

新版本SDK不支持i386模拟器,支持真机,处理办法请阅读:

1、 xcode8.1 iOS模拟器运行编译报错

2、 iOS导入3.0.7版本SDK,模拟器运行报Undefined symbols for architecture i386:


(Mr.su) #4

好的,我在真机测试了,在5s的ios9.3版本,进入页面到了加载IM的方法就停下了,走不下去了,但是我在iPhone7的ios11是可以加载玩IM的方法,有做过测试只有在ios9才出现问题,在ios10和ios11是没问题的,请问这是什么原因尼?目前我想不到任何的原因,正常来说不行那就全部不行呀,现在一个行一个不行就有点问题了,请求帮助。谢谢


#5

1、提供你使用的phonegap插件的版本号,是否为官方维护版本,将连接给出。

2、将你在5s、ios9.3 上的测试得到的客户端日志提供一下。看有什么报错或提示没有


(斯图尔特) #6

安卓低版本和iPhone 5s报错是因为不支持这样写函数()=>{},需要改成function(){}。